Bug 1385690 (CVE-2016-8681) - CVE-2016-8681 libdwarf: Heap based buffer overflow in _dwarf_get_abbrev_for_code
Summary: CVE-2016-8681 libdwarf: Heap based buffer overflow in _dwarf_get_abbrev_for_code
Status: CLOSED WONTFIX
Alias: CVE-2016-8681
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20161006,repor...
Keywords: Security
Depends On: 1385693 1385692
Blocks: 1385691
TreeView+ depends on / blocked
 
Reported: 2016-10-17 13:56 UTC by Adam Mariš
Modified: 2019-06-08 21:31 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-14 08:08:46 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-10-17 13:56:53 UTC
An out of bounds heap read vulnerability was found in _dwarf_get_abbrev_for_code triggered by invoking dwarfdump command on crafted file.

Upstream patches:

https://sourceforge.net/p/libdwarf/code/ci/2d14a7792889e33bc542c28d0f3792964c46214f/#diff-13
https://sourceforge.net/p/libdwarf/code/ci/efe48cad0693d6994d9a7b561e1c3833b073a624/#diff-2

CVE assignment:

http://seclists.org/oss-sec/2016/q4/146

Comment 1 Adam Mariš 2016-10-17 14:00:22 UTC
Created libdwarf tracking bugs for this issue:

Affects: fedora-all [bug 1385692]
Affects: epel-6 [bug 1385693]


Note You need to log in before you can comment on or make changes to this bug.